Skip to main content
POST
/
v1
/
accounts
/
{accountId}
/
quickcampaigns
Create and Execute a campaign
curl --request POST \
  --url https://api.sakari.io/v1/accounts/{accountId}/quickcampaigns \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "groupId": "<string>",
  "listId": "<string>",
  "message": {
    "message": "<string>",
    "media": [
      {
        "url": "<string>",
        "type": "<string>",
        "name": "<string>",
        "filename": "<string>"
      }
    ]
  },
  "sendAt": "2023-11-07T05:31:56Z"
}
'
{
  "success": true,
  "data": {}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

accountId
string
required

Account to apply operations to

Body

application/json
name
string
required
groupId
string
required
listId
string
required
message
object
required
sendAt
string<date-time>

Response

successful operation

success
boolean
required
data
object
required